Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.drools.planner.config.score.definition
Enum ScoreDefinitionConfig.ScoreDefinitionType

    java.lang.Object
      java.lang.Enum<ScoreDefinitionConfig.ScoreDefinitionType>
          org.drools.planner.config.score.definition.ScoreDefinitionConfig.ScoreDefinitionType

All Implemented Interfaces:
  Serializable, Comparable<ScoreDefinitionConfig.ScoreDefinitionType>

Enclosing class:
  ScoreDefinitionConfig

    public static enum ScoreDefinitionConfig.ScoreDefinitionType

extends Enum<ScoreDefinitionConfig.ScoreDefinitionType>

Enum Constant Summary
`HARD_AND_SOFT`
`SIMPLE`
`SIMPLE_DOUBLE`

Method Summary
`static ScoreDefinitionConfig.ScoreDefinitionType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static ScoreDefinitionConfig.ScoreDefinitionType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### SIMPLE

    public static final ScoreDefinitionConfig.ScoreDefinitionType SIMPLE

### SIMPLE_DOUBLE

    public static final ScoreDefinitionConfig.ScoreDefinitionType SIMPLE_DOUBLE

### HARD_AND_SOFT

    public static final ScoreDefinitionConfig.ScoreDefinitionType HARD_AND_SOFT

Method Detail

### values

    public static ScoreDefinitionConfig.ScoreDefinitionType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (ScoreDefinitionConfig.ScoreDefinitionType c : ScoreDefinitionConfig.ScoreDefinitionType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static ScoreDefinitionConfig.ScoreDefinitionType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2001-2011 JBoss by Red Hat. All Rights Reserved.